Cyberduck Mountain Duck CLI

#6643 closed defect (fixed)

Extra carriage return of copied file path in clipboard

Reported by: dkulp Owned by: dkocher
Priority: normal Milestone: 4.3
Component: interface Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When you copy (Cmd-C) a selected object, the text on the clipboard should not have a carriage return. The carriage return causes problems when pasting the results to command lines because the command is immediately executed after pasting.

Ideally the path would also include a protocol in URL format.

In other words, currently copying, say, an s3 path results in: "/mybucket/file/name.txt\n". It should be "/mybucket/file/name.txt" or even better "s3://mybucket/file/name.txt". The latter can be used directly in other applications such as s3cmd or hadoop.

Change History (4)

comment:1 Changed on Apr 20, 2012 at 1:03:59 AM by dkocher

  • Milestone set to 4.3
  • Status changed from new to assigned

comment:2 Changed on May 9, 2012 at 8:53:13 AM by dkocher

  • Summary changed from Extra carriage return in file path to Extra carriage return of copied file path in clipboard

comment:3 Changed on Jun 12, 2012 at 3:49:00 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r6643.

comment:4 Changed on Sep 26, 2012 at 4:48:13 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2
Note: See TracTickets for help on using tickets.